using PSO2SERVER.Json;
using PSO2SERVER.Protocol.Packets;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PSO2SERVER.Protocol.Handlers
{
    [PacketHandlerAttr(0x0B, 0x15)]
    public class QuestCounterAvailableHander : PacketHandler
    {

        public struct AvailableQuestsRequestPacket
        {
            public uint unk1;
        }

        public override void HandlePacket(Client context, byte flags, byte[] data, uint position, uint size)
        {
            if (context == null)
                return;

            string jsonFilePath4 = "data\\quests\\Story Quests\\EP1\\700000 - An Encounter with Xion\\data.json";


            var quest = JsonRead.DeserializeJson<QuestData>(jsonFilePath4);

            var quests = new List<QuestData>();

            quests.Add(quest);

            context.SendPacket(new QuestAvailablePacket(quests));
        }
    }

}
